Mailinglist Archive: opensuse-factory (826 mails)

< Previous Next >
Re: [opensuse-factory]
On Thu, 2017-10-05 at 19:46 -0700, Steven Hess wrote:
Sorry to omit the the subject. It should have been "Snapshot 20171003
unresolved dependency."
The other two solutions are:
Solution 2: deinstallation of perl-DateTime-Format-ISO8601-0.08-
1.13.noarch
Solution 3: break yast2-apparmor-4.0.0-1.2.noarch by ignoring some of
its dependencies
Which are the usual ones.

Nothing wrong with the mirrors - but you have a package on your
installation (perl-DateTime-Format-ISO8601-0.08-1.13) which seems not
to be part of Tumbleweed and which has not yet been rebuilt against
Perl 5.26 in whatever repo it is.

This gives you the following options:
* Pick choice 2 - and remove that package; depending on why you have
it, you might run into other packages failing
* work with the maintainers of that project to get this package rebuilt
for Perl 5.26.1

Cheers
Dominique

PS: it's always funny to see how many assumption and scare-crows we
have around mirrors and mirrorbrain. MB will scan if the mirrors have
the needed files and redirect you as approrpiate. In OPs case, though,
the files he gets ARE the right ones; just not every repo is rebuilt
against TW and this is definitively not up to TW to 'wait for any
random number of third party repo to fix their fails and catch up'
< Previous Next >
Follow Ups